
#ifndef DYNAMICNAME_H
#define DYNAMICNAME_H

#include <QObject>

class DynamicName : public QObject
{
  Q_OBJECT
  Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)
  Q_CLASSINFO("D-Bus Interface", "com.kdab.DynamicName")
public:
  explicit DynamicName(QObject* parent = 0);

  QString name() const;
  void setName(const QString &name);

signals:
  void nameChanged();

private:
  QString m_name;
};

#endif
