
#ifndef DYNAMICNAMEPROXY_H
#define DYNAMICNAMEPROXY_H

#include <QObject>

#include "dynamicnameinterface.h"

class DynamicNameProxy : public QObject
{
  Q_OBJECT
  Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)
public:
  explicit DynamicNameProxy(QObject* parent = 0);

  QString name() const;
  void setName(const QString &name);

signals:
  void nameChanged();

private:
  com::kdab::DynamicName *m_iface;
};

#endif
